Bug 68714 - Catalan (Valencian) support
Summary: Catalan (Valencian) support
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on: 37496
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 16:44 UTC by jmontane
Modified: 2013-12-19 11:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Valencian sample documents (17.33 KB, application/zip)
2013-08-30 19:55 UTC, jmontane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jmontane 2013-08-29 16:44:24 UTC
Starting with MS Office 2010. It's possible to generate .docx documents in Valencian. It's a Catalan langauge (ca-ES) variant using ca-ES-valencia BCP 47 language identifier.

With MS Office 2013, also is avaialable a Valencian language pack (UI & spellchecker).

Currently LibreOffice supports Valencian UI only, lacks support for ca-ES-valencia for docs and spell-checking.

We (Catalan l10n team) have done some testing with MS Office 2013.

You can generate .docx with ca-ES-Valencia identifier (please, note uppercase V) with Windows 7 or upper and MS Office 2010 or upper. Then,

If you save .docx to .odt, it's exported with ca-ES language identifier. Of course, if you open this .odt with MS Office, then it appears as Catalan (ca-ES) document. Valencian variant is lost.

If you open a Valencian.docx file with LibreOffice 4.1.0, no language is assigned. So, there is different features in Valencian docx2odt export filters.

If you hack the .odt exported by MS Office 2013 and change language identifier to ca-ES-VAlencian, then Office 2013 opens as Valencian doc properly.

So, we request full request for Catalan (Valencian) ca-ES-valencian language code in LibreOffice.

I open this bug for tracking and report. I know it's blocked by bug 37496,
Comment 1 Eike Rathke 2013-08-30 15:36:01 UTC
Could you do me a favor and attach a small sample document that uses the ca-ES-valencia locale in its content? Would be great and save me some digging around. Thanks.
Comment 2 jmontane 2013-08-30 19:55:55 UTC
Created attachment 84930 [details]
Valencian sample documents

Attached zip file has 3 sample documents in Valencian:

1.- Valencian_document.docx: created with MS Office 2013
2.- Valencian_document.odt: created with MS Office 2013 exporting previous .docx file.
3.- Valencian_document_hacked.odt: manual hacking of previous one adding ca-ES-Valencia language tag in styles.xml

Note: AFAIK, MS Office 2013 supports ODF 1.2, but it exports "ca-ES-Valencia" language tag from docx as "ca-ES" to odt. IMHO it's a bug.
Comment 3 Eike Rathke 2013-09-04 14:00:14 UTC
Resolved on master with http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d4cd0751516631bcd5c6fabf1eb07d64bb72f17 and all its predecessors.

ca-ES-valencia or its LangID is now read from and written to .odt, .docx and .doc files, as well as .ods, but not .xlsx and .xls (seems we currently do not support any character language attribution in these two Excel formats).

And it seems MSO2013 does not support the ODF 1.2 *:rfc-language-tag attributes.
Comment 4 jmontane 2013-09-22 19:22:24 UTC
Hi,

all tests done work as spected, :)

We are working in new release for language tools (spelling, hyphenation...) for ca-ES-valencia locale.

Thanks!
Comment 5 Commit Notification 2013-12-19 00:05:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=164a8c409c2f070ee51ca4258585cf0c8579af51

support ca_ES@valencia glibc locale modifier, fdo#68714



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-12-19 00:07:58 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=981ac4435369acb0c789c77b8ef5517f53fc2f3f&h=libreoffice-4-2

support ca_ES@valencia glibc locale modifier, fdo#68714


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-12-19 11:31:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03e7a16fe2802160b8344058f225a57bdb9c59f5

use proper LanguageTag fallback instead of dumb startsWith(), fdo#68714



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-12-19 11:33:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b48c8d1ac7b2a4ef557b9e004a772fa0a6ade71&h=libreoffice-4-2

use proper LanguageTag fallback instead of dumb startsWith(), fdo#68714


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.